
checkout:
    post:
        # clone the Glowkit submodule (see https://circleci.com/docs/configuration)
        - git submodule sync
        - git submodule update --init
        # setup for mvn dependency:resolve (see http://stackoverflow.com/questions/7772556/maven-fails-to-resolve-dependency)
        - (cd Glowkit && mvn install)

test:
    post:
        - cp -r target/glowstone*.jar $CIRCLE_ARTIFACTS/
# deploy to test server
deployment:
  devel:
    branch: master
    commands:
      - scp -P 2299 $CIRCLE_ARTIFACTS/glowstone++-1.8.7-SNAPSHOT.jar slog@therealms.us:glowstone.jar
      - ssh slog@therealms.us -p 2299 './start.sh'
